#ifndef _TB_MODULE_EVENTS_H_
#define _TB_MODULE_EVENTS_H_

#include "..\..\Core\TBBaseEvents.h"

#include "CarrierAdapter.h"
#include "ForPrizeTestbed.h"

class TBModuleEvents:
	public TBBaseEvents 
{

	static class CarrierAdapter* carrierAdapter;
	bool menuTickOn;
	
public:
	TBModuleEvents(){
		carrierAdapter = NULL;
		menuTickOn = false;
	}

	static void registerCarrierAdapter(CarrierAdapter* handler) {
		carrierAdapter = handler;
	}
	
	static CarrierAdapter* getCarrierAdapter() {
		return carrierAdapter;
	}

	void menuTick() {

		//ForPrizeTestbed::self->menuTick();

	}
	
};


#endif _TB_MODULE_EVENTS_H_