#ifndef _TBC_ID_STRINGS_H_
#define _TBC_ID_STRINGS_H_

	/**
	 * BitFlags for String IDS
	 */
	#define FP_STR_CONST_FLAG_MIDLET_PARAMETER 0x80000000
	#define FP_STR_CONST_FLAG_DYNAMIC 0x40000000

	/**
	 * String Language ID (For Localization Support) 
	 */
	#define FP_STR_LANG_EN_US 1

	/**
	 * Constant String IDs
	 */
	#define STRING_NULL 0

	#define FP_STR_CONST_ID_PARAM_START FP_STR_CONST_FLAG_MIDLET_PARAMETER
	#define FP_STR_CONST_ID_PARAM_URL_TEST_IMAGE FP_STR_CONST_ID_PARAM_START
	#define FP_STR_CONST_ID_PARAM_URL_TEST_TEXT FP_STR_CONST_ID_PARAM_URL_TEST_IMAGE+1
	
	#define FP_STR_CONST_ID_START 0	
	#define FP_STR_CONST_ID_SELECT FP_STR_CONST_ID_START
	#define FP_STR_CONST_ID_BACK FP_STR_CONST_ID_SELECT+1
	#define FP_STR_CONST_ID_TITLE FP_STR_CONST_ID_BACK+1
	#define FP_STR_CONST_ID_YES FP_STR_CONST_ID_TITLE+1
	#define FP_STR_CONST_ID_NO FP_STR_CONST_ID_YES+1
	#define FP_STR_CONST_ID_ON FP_STR_CONST_ID_NO+1
	#define FP_STR_CONST_ID_OFF FP_STR_CONST_ID_ON+1
	#define FP_STR_CONST_ID_TEST_IMAGE FP_STR_CONST_ID_OFF+1
	#define FP_STR_CONST_ID_TEST_IMAGE_ANIMATION FP_STR_CONST_ID_TEST_IMAGE+1
	#define FP_STR_CONST_ID_TEST_IMAGE_ANIMATION_QUESTION FP_STR_CONST_ID_TEST_IMAGE_ANIMATION+1
	#define FP_STR_CONST_ID_TEST_TEXT FP_STR_CONST_ID_TEST_IMAGE_ANIMATION_QUESTION+1
	#define FP_STR_CONST_ID_TEST_TEXT_DYNAMIC_1 FP_STR_CONST_ID_TEST_TEXT+1
	#define FP_STR_CONST_ID_TEST_TEXT_DYNAMIC_2 FP_STR_CONST_ID_TEST_TEXT_DYNAMIC_1+1
	#define FP_STR_CONST_ID_TEST_TEXT_INPUT_TITLE FP_STR_CONST_ID_TEST_TEXT_DYNAMIC_2+1
	#define FP_STR_CONST_ID_TEST_TEXT_INPUT_DEFAULT FP_STR_CONST_ID_TEST_TEXT_INPUT_TITLE+1
	#define FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE FP_STR_CONST_ID_TEST_TEXT_INPUT_DEFAULT +1
	#define FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE_QUESTION FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE +1
	#define FP_STR_CONST_ID_TEST_TEXT_INPUT_CLEAR FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE_QUESTION +1
	#define FP_STR_CONST_ID_TEST_TEXT_OUTPUT FP_STR_CONST_ID_TEST_TEXT_INPUT_CLEAR+1
	#define FP_STR_CONST_ID_TEST_PROGRESS FP_STR_CONST_ID_TEST_TEXT_OUTPUT+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_STATE FP_STR_CONST_ID_TEST_PROGRESS+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_READY FP_STR_CONST_ID_TEST_PROGRESS_STATE+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_PAUSED FP_STR_CONST_ID_TEST_PROGRESS_READY+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_RUNNING FP_STR_CONST_ID_TEST_PROGRESS_PAUSED+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_COMPLETE FP_STR_CONST_ID_TEST_PROGRESS_RUNNING+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RUN FP_STR_CONST_ID_TEST_PROGRESS_COMPLETE+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_PAUSE FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RUN+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RESET FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_PAUSE+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_RUN_QUESTION FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RESET+1
	#define FP_STR_CONST_ID_TEST_PROGRESS_RUN FP_STR_CONST_ID_TEST_PROGRESS_RUN_QUESTION+1
	#define FP_STR_CONST_ID_TEST_UNSUPPORTED FP_STR_CONST_ID_TEST_PROGRESS_RUN+1
	#define FP_STR_CONST_ID_TEST_UNSUPPORTED_TEXT FP_STR_CONST_ID_TEST_UNSUPPORTED +1 
	#define FP_STR_CONST_ID_SCREEN_HELP FP_STR_CONST_ID_TEST_UNSUPPORTED_TEXT +1
	#define FP_STR_CONST_ID_SCREEN_HELP_1 FP_STR_CONST_ID_SCREEN_HELP +1
	#define FP_STR_CONST_ID_SCREEN_HELP_2 FP_STR_CONST_ID_SCREEN_HELP_1 +1
	#define FP_STR_CONST_ID_SCREEN_HELP_3 FP_STR_CONST_ID_SCREEN_HELP_2 +1
	#define FP_STR_CONST_ID_SCREEN_SEEDS FP_STR_CONST_ID_SCREEN_HELP_3+1
	#define FP_STR_CONST_ID_END_GAME_TEXT FP_STR_CONST_ID_SCREEN_SEEDS+1
	#define FP_STR_CONST_ID_SCREEN_RESULTS FP_STR_CONST_ID_END_GAME_TEXT+1
	#define FP_STR_CONST_ID_SCREEN_CLIENT FP_STR_CONST_ID_SCREEN_RESULTS+1
	#define FP_STR_CONST_ID_TOGGLE FP_STR_CONST_ID_SCREEN_CLIENT+1
	#define FP_STR_CONST_ID_TITLE_MENU_START FP_STR_CONST_ID_TOGGLE+1
	#define FP_STR_CONST_ID_TITLE_MENU_EXERCISE FP_STR_CONST_ID_TITLE_MENU_START+1
	#define FP_STR_CONST_ID_OUT_OF_SEEDS FP_STR_CONST_ID_TITLE_MENU_EXERCISE+1
	#define FP_STR_CONST_ID_REPLAY FP_STR_CONST_ID_OUT_OF_SEEDS+1
	#define FP_STR_CONST_ID_END_GAME FP_STR_CONST_ID_REPLAY + 1
	#define FP_STR_CONST_ID_END_GAME_SCORE FP_STR_CONST_ID_END_GAME+1
	#define FP_STR_CONST_ID_END_GAME_PLAYTIME FP_STR_CONST_ID_END_GAME_SCORE+1
	#define FP_STR_CONST_ID_CONNECTING FP_STR_CONST_ID_END_GAME_PLAYTIME+1
	#define FP_STR_CONST_ID_CANCEL FP_STR_CONST_ID_CONNECTING+1
	#define FP_STR_CONST_ID_DOWNLOADING_FILE FP_STR_CONST_ID_CANCEL+1

#endif
