#include "FPStringFactoryTestbed.h"

String FPStringFactoryTestbed::getString(int stringIndex){
	switch (stringIndex) {

		// Client Name
		case CLIENT_STR_CONST_ID_GAME_NAME: return "ForPrizeSDK";
			
		// STRINGS
		case FP_STR_CONST_ID_SELECT:	return "Select";
		case FP_STR_CONST_ID_P4P_MENU: return "P4P Menu";
		case FP_STR_CONST_ID_BACK: return "Back";
		case FP_STR_CONST_ID_YES: return "Yes";
		case FP_STR_CONST_ID_NO: return "No";
		case FP_STR_CONST_ID_ON: return "ON";
		case FP_STR_CONST_ID_OFF: return "OFF";
		case FP_STR_CONST_ID_TOGGLE: return "Turn ";
		case FP_STR_CONST_ID_TITLE: return "FP UI Testbed";
		case FP_STR_CONST_ID_TITLE_MENU_START: return "Start Game";
		case FP_STR_CONST_ID_TITLE_MENU_EXERCISE: return "Test UI";
		case FP_STR_CONST_ID_TEST_IMAGE: return "IMAGE Test";
		case FP_STR_CONST_ID_TEST_IMAGE_ANIMATION: return "Animation ";
		case FP_STR_CONST_ID_TEST_IMAGE_ANIMATION_QUESTION: return "Show Animation?";
		case FP_STR_CONST_ID_TEST_TEXT: return "TEXT Test";
		case FP_STR_CONST_ID_TEST_TEXT_INPUT_TITLE: return "Input Text:";
		case FP_STR_CONST_ID_TEST_TEXT_INPUT_DEFAULT: return "abcdefghijklmno";
		case FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE: return " Characters"; 
		case FP_STR_CONST_ID_TEST_TEXT_INPUT_SIZE_QUESTION: return "Input Field Size:";
		case FP_STR_CONST_ID_TEST_TEXT_INPUT_CLEAR: return "Clear";
		case FP_STR_CONST_ID_TEST_TEXT_OUTPUT: return "The FP Module contains a fairly complex ui menu system along with the network interface.  The layout of this UI is dynamic and explicitly controlled by the  FPModule.  Rather than build a redundant menu system, however, the FPModule  instead provides this interface for feeding menu configurations into an existing client menu architecture.  The Client is responsible for taking the information provided by the following event handlers, then building and rendering it using the existing menu control infrastructure.";
		case FP_STR_CONST_ID_TEST_PROGRESS: return "PROGRESS Test";
		case FP_STR_CONST_ID_TEST_PROGRESS_STATE: return "Progress: ";
		case FP_STR_CONST_ID_TEST_PROGRESS_READY: return "Ready";
		case FP_STR_CONST_ID_TEST_PROGRESS_PAUSED: return "Paused";
		case FP_STR_CONST_ID_TEST_PROGRESS_RUNNING: return "Running";
		case FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RUN: return "Run";
		case FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_PAUSE: return "Pause";
		case FP_STR_CONST_ID_TEST_PROGRESS_COMMAND_RESET: return "Reset";
		case FP_STR_CONST_ID_TEST_PROGRESS_COMPLETE: return "Complete";
		case FP_STR_CONST_ID_TEST_PROGRESS_RUN_QUESTION: return "Run Time:";
		case FP_STR_CONST_ID_TEST_PROGRESS_RUN: return " Seconds";
		case FP_STR_CONST_ID_TEST_NETWORK: return "NETWORK Test";
		case FP_STR_CONST_ID_SCREEN_CLIENT: return "ClientScreen";
		case FP_STR_CONST_ID_SCREEN_HELP: return "HelpScreen";
		case FP_STR_CONST_ID_SCREEN_SEEDS: return "OutOfSeedsScreen";
		case FP_STR_CONST_ID_SCREEN_RESULTS: return "ResultsScreen";
		case FP_STR_CONST_ID_REPLAY: return "Replay";
		case FP_STR_CONST_ID_END_GAME: return "End Game";
		case FP_STR_CONST_ID_OUT_OF_SEEDS: return "Play for Prizes is out of seeds.  The number of seeds available for any given tournament depends on the desires of the thirdparty client product team.  The For Prize Compliance Module Only contains two seeds (both cases of alternationg # and *s).";
		case FP_STR_CONST_ID_END_GAME_SCORE: return "Game Score: ";
		
		case FP_STR_CONST_ID_END_GAME_SEND_SCORE_QUESTION: return "Would you like to Report this Score?"; 
		case FP_STR_CONST_ID_CONNECTING: return "Connecting";
		case FP_STR_CONST_ID_DOWNLOADING_FILE: return "Downloading: ";
		case FP_STR_CONST_ID_CANCEL: return "Cancel";
		
		
		
		// Tournament options
		case FP_STR_CONST_ID_ITEM_LABEL_PLAY: 						return "Play";
		case FP_STR_CONST_ID_ITEM_LABEL_TOURNAMENT: 			return "Tournament";
		case FP_STR_CONST_ID_ITEM_LABEL_H2H: 					    return "Head to Head";
		case FP_STR_CONST_ID_ITEM_LABEL_PROGRESSIVE: 			return "Progressive";
		case FP_STR_CONST_ID_ITEM_LABEL_PROMO:					  return "Prize Info";
		case FP_STR_CONST_ID_ITEM_LABEL_PRACTICE: 				return "Practice";
		case FP_STR_CONST_ID_ITEM_LABEL_SCORES: 					return "Scores";

		// Scoring Strings
		case FP_STR_CONST_ID_ITEM_LABEL_CURRENT_RANK: 		return "Current Rank";
		case FP_STR_CONST_ID_ITEM_LABEL_RECENT_MATCHES: 	return "Recent Matches";
		case FP_STR_CONST_ID_ITEM_LABEL_MY_TOURNAMENTS: 	return "My Tournaments";
		case FP_STR_CONST_ID_ITEM_LABEL_GLOBAL_RANKS: 		return "Global Ranks";
		case FP_STR_CONST_ID_ITEM_LABEL_ALL_TIME_BEST: 		return "All Time Best";

		case FP_STR_CONST_ID_ITEM_LABEL_SMS_NOTIFY: 			return "SMS Notify?";

		case FP_STR_CONST_ID_ITEM_LABEL_HOW_TO_PLAY: 			return "How to Play";
		case FP_STR_CONST_ID_ITEM_LABEL_SCORING: 					return "Scoring";
		case FP_STR_CONST_ID_ITEM_LABEL_TIPS_AND_TRICKS: 	return "Tips & Tricks";
		case FP_STR_CONST_ID_ITEM_LABEL_TOURNAMENTS: 			return "Tournaments";
		case FP_STR_CONST_ID_ITEM_LABEL_LEGAL: 						return "Legal";

		case FP_STR_CONST_ID_ITEM_LABEL_SUPPORT: 					return "For support, contact us at infospacegames\\-.com";

		case FP_STR_CONST_ID_ITEM_LABEL_CANCEL: 					return "Cancel";
		case FP_STR_CONST_ID_ITEM_LABEL_NEXT: 						return "Next";
		case FP_STR_CONST_ID_ITEM_LABEL_REPLAY: 					return "Replay";

		// Reggistration Strings
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION: 				return "Registration";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_REQUEST: 		return "An account needs to be created before playing in tournaments. Press Next to register.";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_ENTER_PHONE: 	return "Enter Phone";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_10_DIGIT_PHONE: 	return "10 Digit Phone Number";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_EXISTING_USERNAME: return "A User already exists for this handset. Press 'next' to accept, or 'fire' to edit.";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_ENTER_NAME: 			return "Please enter a User Name";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_ENTER_PIN: 			return "Enter PIN";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_3_CHAR_MIN: 			return "3 Character Min.";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_VERIFY_PHONE: 		return "Verify Phone #";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_TEXT_MESSAGE: 		return "You will receive a text message with a 4 digit activation number within the next 2 hours. Please enjoy our game in the practice mode while you are waiting. You may need to exit the game and check your message inbox to locate the number.";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_4_DIGIT_PIN: 		return "4 Digit Pin";
		case FP_STR_CONST_ID_ITEM_LABEL_REGISTRATION_CONFIRM_PHONE:		return "Please Confirm Your Phone Number:";
		
		// Tournament Screens
		case FP_STR_CONST_ID_ITEM_LABEL_PRIZES: 				return "Prizes";
		case FP_STR_CONST_ID_ITEM_LABEL_WINNER: 				return "Winner";
		case FP_STR_CONST_ID_ITEM_LABEL_NEWS: 					return "Informations";
		case FP_STR_CONST_ID_ITEM_LABEL_MATCH_RESULTS: 	return "Match Results";
		case FP_STR_CONST_ID_ITEM_LABEL_RANK_SUMMARY: 	return "Rank Summary";

		// Progress Screens
		case FP_STR_CONST_ID_ITEM_LABEL_SLOGAN: 				return "Competition Goes Mobile";
		case FP_STR_CONST_ID_ITEM_LABEL_PROGRESS: 			return "Progress";
		case FP_STR_CONST_ID_ITEM_LABEL_RETRY: 					return "Retry";

		case FP_STR_CONST_ID_ITEM_LABEL_EXIT: 					return "Exit";
		case FP_STR_CONST_ID_ITEM_LABEL_RESUME: 				return "Resume";
 
			// About Text
		//case FP_STR_CONST_ID_ITEM_LABEL_ABOUT1: return "You have ";
		//case FP_STR_CONST_ID_ITEM_LABEL_ABOUT2: return "ms remaining in your current subscription.---------------------  Infospace, Inc. Competition Goes Mobile Version ";
		case FP_STR_CONST_ID_ITEM_LABEL_ABOUT2: 						return "Version ";
		case FP_STR_CONST_ID_ITEM_LABEL_ABOUT3: 						return "For support, contact us at infospacegames\\-.com";

		// Help Text
		case FP_STR_CONST_ID_ITEM_LABEL_HELP_TOURNAMENTS: 	return "Cubis 2 For Prizes allows you to compete against other Cubis 2 players in a skill based tournament for prizes! Twistbox Entertainment, Inc. runs Head-To-Head and High Score tournaments.\nIn Head-To-Head tournaments, prizes are awarded to the contestant(s) with the best win/loss record calculated as wins minus five times losses. Tie breakers are determined by a logic based mechanism. A minimum number of matches must be played to qualify. Forfeited games (either accidental or intentional) count as losses.\nIn High Score tournaments, prizes are awarded to the contestant(s) with the highest score. Each contestants highest score is used to determine their rank.\nTournament end times are displayed prior to the start of each game play.\nContestants are automatically entered into each tournament when their scores are posted.";
		case FP_STR_CONST_ID_ITEM_LABEL_HELP_LEGAL: 		return "To win prizes, you must: a) be a natural person, at least 13 years old; b) be a U.S. citizen or resident alien with a U.S. address; and c) be physically located in the U.S. in a state that does not prohibit participation in such tournaments. MD, VT and ND residents may participate in tournaments, but are not eligible for prizes.\nBy participating in any tournament, you acknowledge and agree to be bound by the most current version of the complete Terms and Conditions, available at www.twistboxgames.com. Void where prohibited or restricted by law.";


		// Resubscription Text
		//case FP_STR_CONST_ID_ITEM_LABEL_SUBSCRIPTION_THANKS: 		return "Thanks for resubscribing to ourgame. You can check your subscriptionstatus from the 'About' menu atany time.";     
		//case FP_STR_CONST_ID_ITEM_LABEL_SUBSCRIPTION_EXPIRED: 	return "Your subscription has expired. Hit next to check the current subscriptioninfo or exit to quit.";
		//case FP_STR_CONST_ID_ITEM_LABEL_SUBSCRIPTION: 					return "Subscription";
		//case FP_STR_CONST_ID_ITEM_LABEL_PURCHASE: 							return "Purchase";
		//case FP_STR_CONST_ID_ITEM_LABEL_RESUBSCRIPTION1: 				return "To resubscribe for ";
		//case FP_STR_CONST_ID_ITEM_LABEL_RESUBSCRIPTION2: 				return "more day(s), hit ";
		//case FP_STR_CONST_ID_ITEM_LABEL_RESUBSCRIPTION3: 				return "purhase. The ";
		//case FP_STR_CONST_ID_ITEM_LABEL_RESUBSCRIPTION4: 				return "current price of ";
		//case FP_STR_CONST_ID_ITEM_LABEL_RESUBSCRIPTION5: 				return "subscription is: ";
		//Default subscription info
		//case FP_STR_CONST_ID_ITEM_LABEL_DEFAULT_SUBSCRIPTION_PRICE: 	return "3.99";
		//case FP_STR_CONST_ID_ITEM_LABEL_DEFAULT_SUBSCRIPTION_URL: 		return "";


		/*
		Welcome screen is now handled by the dynamicscreen process -ESC
		// Welcome text
		case FP_STR_CONST_ID_ITEM_LABEL_WELCOME: 	return "Welcome";
		case FP_STR_CONST_ID_ITEM_LABEL_WELCOME1: return "Welcome to\n";
		case FP_STR_CONST_ID_ITEM_LABEL_WELCOME2: return "\nwhere you compete to win PRIZES! Residents of CO, ND, and VT can compete but are not eligible to win prizes. Please read the Help section for more details.";
		*/

		// Error Strings
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR: 																	return "Error";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION:								return "Registration";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_INVALID_MIN: 				return "Invalid MIN";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_INVALID_PIN: 				return "Invalid Pin. Please try again.";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_INVALID_USER_NAME: 	return "Invalid Username. Please try again.";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_USER_NAME_EXISTS: 		return "The chosen username is already in use. Press next to choose a new one or use the suggested name.";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_USER_NAME_MISMATCH:		return " An account needs to be created before playing in tournaments. Press next to register.";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REGISTRATION_UNSUPPORTED_PHONE: 	return "Phone not supported";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_NETWORK: 													return "Network Error";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_NETWORK_NOT_AVAILABLE: 						return "Play for Prizes Server Not Available";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_NETWORK_SECURITY:									return "Network Security Error";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_REQUEST_ABORTED: 									return "Request Canceled";
		case FP_STR_CONST_ID_ITEM_LABEL_ERROR_TIMEOUT: 													return "Your request has timed out";
		case FP_STR_CONST_ID_ITEM_LABEL_NO_ERROR:																return "No Error";


		// Server Strings
		case FP_STR_CONST_ID_ITEM_LABEL_SERVER_URL_QA1: 	return "http://sm-qa1.infospace.com:8080/amtp/quark";
		case FP_STR_CONST_ID_ITEM_LABEL_SERVER_URL_QA2: 	return "http://sm-qa2.infospace.com:8080/amtp/quark";
		case FP_STR_CONST_ID_ITEM_LABEL_SERVER_URL_ENG2: 	return "http://sm-eng2.infospace.com:8080/amtp/quark";
		case FP_STR_CONST_ID_ITEM_LABEL_SERVER_URL_ENG3: 	return "http://sm-eng3.infospace.com:8080/amtp/quark";

		case FP_STR_CONST_ID_ITEM_LABEL_VERSION: return "?";

		//ADI new stuff
		case FP_STR_CONST_ID_BOOL_OPTION_ON:		return "Yes";  
		case FP_STR_CONST_ID_BOOL_OPTION_OFF:   return "No";
		case FP_STR_CONST_ID_FORE:              return "Next";
		
		default: return "UNKNOWN STRING:"; // + stringIndex;
	}
}
