#ifndef _FP_EVENT_LISTENER_OBJ_H_
#define _FP_EVENT_LISTENER_OBJ_H_

#include "AEEAppGen.h"
#include "AEE.h"
#include "BrewVector.h"
#include "..\Module\Core\ITBClientEventListener.h"
#include "..\Module\Core\ITBMenuEventListener.h"

class FPClientEventListenerObj:
	public ITBClientEventListener
{
public:
	AEEApplet* myMain;
	FPClientEventListenerObj(AEEApplet* app);

	bool notifyClient(int code, Bbyte data);
};

class FPMenuEventListenerObj:
	public ITBMenuEventListener
{
public:
	AEEApplet* myMain;
	FPMenuEventListenerObj(AEEApplet* app);

	bool setMenu(int menuId, int menuIndexSelected, int menuSize, String menuName);
	bool setMenuEntry(int menuId, int menuIndex, int entryType, String entryName, int entryData, String entryText, ConvertedBitmapInfo* entryImage);
	bool endSetMenu(int menuId);
};

#endif _FP_EVENT_LISTENER_OBJ_H_
