#pragma once
#include "AEEAppGen.h"
#include "BrewString.h"









#ifndef GETSHELL
#define GETSHELL()		((AEEApplet*)GETAPPINSTANCE())->m_pIShell
#endif

#ifndef GETDISPLAY
#define GETDISPLAY()	((AEEApplet*)GETAPPINSTANCE())->m_pIDisplay
#endif

typedef enum _RASTEROP {
	RASTEROP_COPY = 0,
	RASTEROP_TRANSPARENT
} RASTEROP;

class Image
{
public:
	Image(AEEApplet * main);
	~Image(void);
	void release();
	void draw(int x, int y);
	void drawClipped(int x, int y, int ox, int oy, int dx, int dy);

	int getWidth();
	int getHeight();

	AEEApplet* myMain;

	IImage* m_pImage;





#if 0x2 > 0x1
	IBitmap* m_pBitmap;
	AEEBitmapInfo* m_pBitmapInfo;
#endif

	//new Stuff from our office in San Mateo
	int _width, _height;													//Width and height of image
	int _tileW, _tileH;														//Tile width and tile height.   tileW also represents frame width.
	int _defaultRasterOp;													//Raster op to blit with
	int _currentFrame;														//What frame # are we on?
	int _startFrame;														//What frame # are we on?
	int _endFrame;															//What frame # are we on?
	bool _isScreenBuffer;													//Is this a screen buffer?

	AEERasterOp _currentRasterOp;											//Raster op to blit with

	void fill();

	//In the blitting functions below, specify dst as NULL to blit directly to the screen.

	//Regular blitting and tile blitting.
	void Draw(Image *dst, int xDst, int yDst);
	void Draw(Image *dst, int xDst, int yDst, int w, int h, int xSrc, int ySrc);

	void DrawFrame(Image *dst, int xDst, int yDst, int frameNum);


	
	void SetDefaultRasterOp(int rasterOp);

#if 0x2 > 0x1
	void *GetImageData()						{ return (void *)m_pBitmap; };
#endif





	int GetTotalFrameCount()					{ return (_width / _tileW); };

};


















