#ifndef _OUTPUT_STREAM_H_
#define _OUTPUT_STREAM_H_

#include "AEEComdef.h"
#include "AEEStdlib.h"

#ifndef OUR_FRAMEWORK
#include "BrewString.h"
#else
#include "..\..\src\BrewString.h"
#endif

class OutputStream{
private:
	byte* _buf;
	int _length;
	int _pos;

public:
	OutputStream();
	~OutputStream();

	
	void writeByte(byte v);
	void writeShort(short v);
	void writeInt(int v);
	void writeLong(long v);
	void writeBoolean(bool v);
	void writeUTF(WString str);
	void write(byte v[],int off = 0, int len = -1);

	byte* getBuffer(){ return _buf; };
	int getLength(){ return _length; };

	void removeBuf();

};

#endif _OUTPUT_STREAM_H_