#include "TBEvents.h"
#include "VerizonAdapter.h"
#include "..\Core\FPStringFactoryTestbed.h"

void* TBEvents::myAdapter = NULL;
void* TBEvents::fpTest = NULL;

TBEvents::TBEvents(AEEApplet* _main){
	myMain = _main;
};

TBEvents::~TBEvents(){
	delete(bus);
	delete(myAdapter);
	delete (fpTest);
};

void TBEvents::Release(){
	
	bus->Release();
	delete(bus);

	((VerizonAdapter*)myAdapter)->Release();
	delete(myAdapter);

	((ForPrizeTestbed*)fpTest)->release();
	delete fpTest;

}

void TBEvents::fpInit(AEEApplet* _main,byte localizationCode){
	bus = new TBEvents(_main);
	
	registerEventHandler(new FPStringFactoryTestbed(localizationCode));
	myAdapter = new VerizonAdapter(_main,getStringFactory());
	registerCarrierAdapter((CarrierAdapter*)myAdapter);
	
	fpTest = new ForPrizeTestbed(_main);
	registerEventHandler((ITBMenuControls*)myAdapter);
	
};

void TBEvents::GetResponse()
{
	((CarrierAdapter*)myAdapter)->GetResponse();
}
