#ifndef _INPUT_STREAM_H_
#define _INPUT_STREAM_H_

#include "AEEComdef.h"
#include "AEEStdlib.h"

#ifndef OUR_FRAMEWORK
 #include "BrewString.h"
#else
 #include "..\..\src\BrewString.h"
#endif

class InputStream 
{
private:
	byte* _buf;
	int _length;
	int _pos;

public:
	InputStream();
	InputStream(byte& buffer, int len);
	~InputStream();

	int setBuffer(byte& buffer, int len);

	byte readByte();
	short readShort();
	int readInt();
	long readLong();
	bool readBoolean();
	WString readUTF();
	void readFully(byte b[], int off = 0, int len = -1);
	int read(byte b[], int off = 0, int len = -1){readFully(b,off,len);return len;};
	
};

#endif //_INPUT_STREAM_H_