#include "ForPrizesAdapter.h"
#include "CarrierAdapter.h"
#include "..\..\..\src\aMain.h"


#define PCARRIERADAPTER ((CarrierAdapter*)carrierAdapter)

//String* ForPrizesAdapter::_subscriptionPrice = NULL;
//long ForPrizesAdapter::_subscriptionLength;


ForPrizesAdapter::ForPrizesAdapter(void *module, ITBStringFactory *strings, AEEApplet* midlet, String fpCarrier, String fpProductID, String fpProductVersion, String fpServerURL, String fpAssetClass, String fpMin, String fpCountryCode, String fpSubPrice, String fpSubRequestURL, String fpAccountRecordName, String fpBillingRecordName, String fpReg, String fpSms){
	DEBUG(("ForPrizeAdapter(): Initializing"));
	
	//_subscriptionPrice = new String();

	_percentComplete = 0;
	_fpc = (ForPrizeTestbed*) module;
	InputStream dis;
		
	_promoID = 1; 
	
	// Set Control References
	_midlet = midlet;
	_productID = ATOI(fpProductID.toCharArray());
	_gameType = _productID;

	_gameVersion = fpProductVersion;
	bool validVersion = true;
	int versionLength = _gameVersion.length();
	int versionDotCount = 0;
	if (!_gameVersion.trim().startsWith("1")) validVersion = false;
	for (int c = 0; c < versionLength; c++) if (_gameVersion.charAt(c) == '.') versionDotCount++;
	if (versionDotCount != 2) validVersion = false;
	if (!validVersion) DEBUG(("Invalid version format (eg, '1.5.15'"));
			
	_serverURL = fpServerURL;
	_assetClass = ATOI(fpAssetClass.toCharArray());

	_countryCode = fpCountryCode;
			
	_accountRecordName = fpAccountRecordName;
	_billingRecordName = fpBillingRecordName;

	// Attempt to load Subscription(Billing) Information From RecordStore		
	//	Bbyte record = getRecord( _billingRecordName );
		//bis = new ByteArrayInputStream(record);
	//	byte* tmp = (byte*)MALLOC(record.size());
	//	for(int i = 0; i < (int)record.size(); i++)
	//		tmp[i] = (byte)record[i];
	//	dis.setBuffer(*tmp,(int)record.size());
	  
		//_subscriptionStartTime = dis.readLong();
		//_subscriptionLength = dis.readLong();
		//*_subscriptionPrice = dis.readUTF();
		// dis.readUTF();
		//_subscriptionRequestURL = dis.readUTF();
		//_isNewSubscription = dis.readBoolean();
		

		
	
	//if (fpCarrier.toUpperCase().equals("CINGULAR")) {
		carrierAdapter = TBModuleEvents::getCarrierAdapter();
		PCARRIERADAPTER->setForPrizesAdapter(this);
		carrierID = PCARRIERADAPTER->getCarrierID();		
	//} else {
	//	DEBUG(("Unknown Carrier: %s", fpCarrier.toCharArray()));
	//}

#ifdef AEE_SIMULATOR
	min = fpMin;
#else
	min = Platform_GetMIN();
#endif

	_cert = "";
	_userName = "";
	_PIN = "";
	_phoneType = "Emulator"; //ESC_TODO - This should pull from the build system

   // _prizeImage[0] = NULL;
	//_prizeImage[1] = NULL;
	_promoImage.bitmap = NULL;
	_promoImage.memAlloc = FALSE;

	_isSMSOptIn = true;
	_currentTournamentType = PARAM_TOURNAMENT_TYPE_PRACTICE;
		
	// Load Preferences
	loadPreferences(); //ESC_TODO - Inline This
	// AW: OVERRIDE CFG PREF, IT DOESN'T WORK. SO I'M USING THE HTTP.CFG
	if (fpSms.equals("Y"))
		_isSMSOptIn = true;
	else 
		_isSMSOptIn = false;

	if (fpReg.equals("Y"))
		PCARRIERADAPTER->_registerState = true;
	else 
		PCARRIERADAPTER->_registerState = false;

	//setAppPropertyBool(((AEEApplet*)GETAPPINSTANCE()), ForPrizeTestbed::FORPRIZE_PARAM_ISREGISTERED, true);

	for(int i = 0; i < PARAM_TOURNAMENT_TYPE_COUNT; i++)
		for(int j = 0; j < PARAM_TOURNAMENT_CACHE_SIZE; j++)
			_ID[i][j][0] = 0;			// empty tournament
				

	_outOfSeeds = false;
	_hasNextTournaments = false;
	_hasNews = false;
	_isGettingScore = false;
//#ifdef DEBUG_ON
	DEBUG(("ForPrizeAdapter(): Initialization Complete"));
//#endif

}

void ForPrizesAdapter::release() {

	if (carrierAdapter != NULL)
		PCARRIERADAPTER->Release();

	_errorStr.destruct();
	_lastGameResultsData._delete();

	_serverURL.destruct();
//	_winnerImgBuffer._delete();
//	if(_winnerImage){
//		_winnerImage->release();
//		delete(_winnerImage);
//	}
//	_winnerImage = NULL;
	TBUTIL_ReleaseBitmap(&_winnerImage);
	_winnerText.destruct();

//	_promoImgBuffer._delete();
	TBUTIL_ReleaseBitmap(&_promoImage);
	//if(_promoImage){
	//	_promoImage->release();
	//	delete(_promoImage);
//	}
	//_promoImage = NULL;
	_promoText.destruct();
	
//	_newsImgBuffer._delete();
	TBUTIL_ReleaseBitmap(&_newsImage);
//	if(_newsImage){
//		_newsImage->release();
//		delete(_newsImage);
//	}
	//_newsImage = NULL;
	_newsText.destruct();

	//if(_prizeImage[0]){
	//	_prizeImage[0]->release();
//		delete(_prizeImage[0]);
//	}
//	_prizeImage[0] = NULL;
//	if(_prizeImage[1]){
//		_prizeImage[1]->release();
//		delete(_prizeImage[1]);
//	}
//	_prizeImage[1] = NULL;
	_prizeText[0].destruct();
	_prizeText[1].destruct();

	_accountRecordName.destruct();
	_billingRecordName.destruct();
}

// The Boolean is returned to inform the FPA.backEvent task that recieves the
// cancel whether or not the FPA was still working on a request (otherwise,
// The cancel is ignored) - ESC
bool ForPrizesAdapter::CancelWebRequests()
{

	PCARRIERADAPTER->_isResponsePending	= false;
	PCARRIERADAPTER->_isReportingScore	= false;
	_isGettingScore		= false;
	PCARRIERADAPTER->_requestRetries		= 0;

	if (!PCARRIERADAPTER->_isRunning) {
		// Boolean returned to info
		return false;
	}

	PCARRIERADAPTER->_pWeb->DeleteRequest();
	_hasNextTournaments = true;
	return true;
}

String ForPrizesAdapter::getRankSummary() 
{
	return PCARRIERADAPTER->GetResponseStr(TBMessages::IDX_RESP_RANKSUM);
	//return _rankSummary;
};

String ForPrizesAdapter::getMatchSummary() 
{
		return PCARRIERADAPTER->GetResponseStr(TBMessages::IDX_RESP_MATCHSUM);
	//	return _matchSummary;
};

String ForPrizesAdapter::getScoreSummary() 
{
	return PCARRIERADAPTER->GetResponseStr(TBMessages::IDX_RESP_SUM);
	//return _scoreSummary;
};

String ForPrizesAdapter::getTournamentHistoryHeader(int idx) 
{
	//return _tournamentHistoryHeaders;
	// _pMsg->GetHistoryHeader(idx);
	return PCARRIERADAPTER->_pMsg->GetHistoryHeader(idx);
};

String ForPrizesAdapter::getTournamentHistorySummary(int idx) 
{
	return PCARRIERADAPTER->_pMsg->GetHistorySummary(idx);
		//return _tournamentHistorySummaries;
};


bool ForPrizesAdapter::ValidateTournament()
{
	return _hasNextTournaments;
}

void ForPrizesAdapter::setCurrentTournamentType(byte tournamentType) {
	_currentTournamentType = tournamentType;
	if (_currentTournamentType == PARAM_TOURNAMENT_TYPE_H2H) {
		_enteredTournamentIndex = 0;
	}
	else {
		_enteredTournamentIndex = 1;
	}
	if (_data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][0] == 0) {
		// get the next tournament.
		_currentTournamentIndex[_enteredTournamentIndex] = (byte) ((_currentTournamentIndex[_enteredTournamentIndex] + 1) % PARAM_TOURNAMENT_CACHE_SIZE);
	}
}

String ForPrizesAdapter::toMIN(String phoneNumber) {
	return PCARRIERADAPTER->toMIN(phoneNumber);
}

void ForPrizesAdapter::setMIN(String _MIN) {		
	if (_MIN.length() != 15) {
		DEBUG(("Invalid MIN, '%s' must be 15 digits",_MIN.toCharArray()));
	}
	min = _MIN;
	//savePreferences();
}

String ForPrizesAdapter::getMIN() {
	if (min.equals("")) {
		return "";
	} else {
		return min;
	}
}

void ForPrizesAdapter::setPhoneType(String phone) {
	_phoneType = phone;
	//savePreferences();
}

void ForPrizesAdapter::setRegisterState(byte state) {
	////debug("setRegisterState(" + state + ")");
	PCARRIERADAPTER->_registerState = state;
	// write in app property
	boolean b = false;
	if (state == PARAM_REGISTER_DONE)
		b = true;

	setAppPropertyBool(((AEEApplet*)GETAPPINSTANCE()), ForPrizeTestbed::FORPRIZE_PARAM_ISREGISTERED, b);
	savePreferences();
}
/*
void ForPrizesAdapter::setSubscriptionLength(long ms) {
	_subscriptionLength = ms;
	savePreferences();
}
*/
void ForPrizesAdapter::setUsername(String username) {
	_userName = username;

	int length = username.length();
	if ((length < 3) || (length > 12)) {
		DEBUG(("Username must be 3-12 chars long ('%s' length = %d)",username.toCharArray(), length));
	}
	//savePreferences();
}

void ForPrizesAdapter::abortTransaction() {
	PCARRIERADAPTER->abortTransaction();
}

bool ForPrizesAdapter::loadPreferences() {
	/*
	bool success = false;
	InputStream dis;

	////debug("loadPreferences()--about to getRecord");
	Bbyte data = getRecord(_accountRecordName);
	////debug("loadPreferences()--gotRecord");
	
	if(data.size() == 0) {
		////debug("The data is null");
	}

	byte* tmp = (byte*)MALLOC(data.size());
	for(int i = 0; i < data.size(); i++)
		tmp[i] = data[i];
	dis.setBuffer(*tmp, data.size());

	_isSMSOptIn = dis.readBoolean();
	
	////debug("loadPreferences()--about to read Register State from "+dis+" to "+carrierAdapter);
	PCARRIERADAPTER->_registerState = dis.readByte();
	////debug("loadPreferences()--read Register State=" + carrierAdapter._registerState);
	
	// AW: MIN does not need to be saved
	//min = dis.readUTF();
	dis.readUTF();
	_userName = dis.readUTF();
	_PIN = dis.readUTF();
	_cert = dis.readUTF();
	//_phoneType = dis.readUTF();
	//_productID = dis.readInt();
	//_gameType = dis.readShort();
	//_gameName = dis.readUTF();
	//_serverURL = dis.readUTF();

//#ifdef DEBUG_ON
	DEBUG(("Loaded Account Settings: MIN:%s USER:%s PIN:%s CERT:%s",min.toCharArray(),_userName.toCharArray(),_PIN.toCharArray(), _cert.toCharArray() ));
//#endif
	
	success = true;

	return success;
	*/
	return true;
}

bool ForPrizesAdapter::savePreferences() {
	/*
	OutputStream dos;

	bool success = false;

	dos.writeBoolean(_isSMSOptIn);
	
	////debug("savePreferences()--about to write Register State");

	dos.writeByte(PCARRIERADAPTER->_registerState);
	////debug("savePreferences()--wrote Register State=" + carrierAdapter._registerState);
	
	dos.writeUTF(min);
	dos.writeUTF(_userName);
	dos.writeUTF(_PIN);
	dos.writeUTF(_cert);
	//dos.writeUTF(_phoneType);

	// Added to give game choosing functionality
//	dos.writeInt(_productID);
//dos.writeShort(_gameType);
	//dos.writeUTF(_gameName);
	//dos.writeUTF(_serverURL);

	putRecord(_accountRecordName, dos.getBuffer());

	success = true;

	return success;
	*/
	return true;
}
//
//bool ForPrizesAdapter::saveSubscription() {
//	bool success = false;
//
//	
//	OutputStream dos;
//
//	//dos.writeLong(_subscriptionStartTime);
//	//dos.writeLong(_subscriptionLength);
//	//dos.writeUTF(*_subscriptionPrice);
//	//dos.writeUTF("x");
//	//dos.writeUTF(_subscriptionRequestURL);
//	//dos.writeBoolean(_isNewSubscription);
//
//	putRecord( _billingRecordName/*_fpc.getT4PString(STR_ID_T4P_BILLING_STORE)*/, dos.getBuffer());
//	success = true;
//	
//	return success;
//}

void ForPrizesAdapter::getGameSeed(const byte** seed, int32* seedLen, const char ** params, int32* paramsLen)
{
	*seed = PCARRIERADAPTER->_enteredTournament.GetSeed(seedLen);

	*params = (char *)PCARRIERADAPTER->_enteredTournament.GetParam();
	if (*params) {
		*paramsLen = STRLEN(*params);
	}
	else {
		*paramsLen = 0;
	}

#if defined(_DEBUG)
	{
		int32 len;
		const byte* seed = PCARRIERADAPTER->_enteredTournament.GetSeed(&len);
		if (seed)
		{
			DEBUG(( "" ));
			DEBUG(("GAME SEED %d", len));
			for (int idx=0; idx+16<len; idx+=16)
			{
				DEBUG(( "%02x%02x %02x%02x %02x%02x %02x%02x   %02x%02x %02x%02x %02x%02x %02x%02x",
					seed[idx],   seed[idx+1],   seed[idx+2], seed[idx+3],
					seed[idx+4], seed[idx+5],   seed[idx+6], seed[idx+7],
					seed[idx+8], seed[idx+9],   seed[idx+10],seed[idx+11],
					seed[idx+12],seed[idx+13],  seed[idx+14],seed[idx+15]));
			}
			DEBUG(( "" ));
		}
	}
#endif
}
/*
byte* ForPrizesAdapter::getGameSeed(String params) {
	// if there is no seed, this tournament has been used already
	if (_data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][0] == 0) {
		// get the next tournament.
		_currentTournamentIndex[_enteredTournamentIndex] = (byte) ((_currentTournamentIndex[_enteredTournamentIndex] + 1) % PARAM_TOURNAMENT_CACHE_SIZE);
	}
	if (_data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][1] != 0) {
		char str[10];
		params += _itoa(_data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][1][0],str,10);
	}
	return _data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][0];
}
*/
ConvertedBitmapInfo* ForPrizesAdapter::getWinnerImage() {
	return &_winnerImage;
	/*
	if (_winnerImage != NULL) {
		return _winnerImage;
	}
	if (_winnerImgBuffer.size() == 0) {
		return NULL;
	}
//	_winnerImage = Image.createImage(_winnerImgBuffer, 0, _winnerImgBuffer.length);
//	_winnerImgBuffer = null;	// buffer no longer needed
	return _winnerImage;
	*/
}

ConvertedBitmapInfo* ForPrizesAdapter::getPromoImage() {

	return &_promoImage;
	/*
	if (_promoImage != NULL) {
		return _promoImage;
	}
	if (_promoImgBuffer.size() <= 0) {
		return NULL;
	}
//	_promoImage = Image.createImage(_promoImgBuffer, 0, _promoImgBuffer.length);
//	_promoImgBuffer = null;	// buffer no longer needed
	return _promoImage;
	*/
}

ConvertedBitmapInfo* ForPrizesAdapter::getNewsImage() {
	return &_newsImage;
	/*
	if (_newsImage != NULL) {
		return _newsImage;
	}
	if (_newsImgBuffer.size() <= 0) {
		return NULL;
	}
//	_newsImage = Image.createImage(_newsImgBuffer, 0, _newsImgBuffer.length);
//	_newsImgBuffer = null;	// buffer no longer needed
	return _newsImage;
	*/
}

/**
	 * Returns the prize display text for selected tournament type
	 *
	 * @param tournamentType - 1=H2H, 2=Progressive
	 * @return String
	 */
String ForPrizesAdapter::getPrizeText(int tournamentType) {
		//return _prizeText[tournamentType - 1];
		const char* pMsg = PCARRIERADAPTER->_nextTournament[tournamentType-1].GetPrizeStr();
		if (!pMsg) return _prizeText[tournamentType - 1];

		if (! TBUTIL_StrToWstr(pMsg, PCARRIERADAPTER->_pDisplayMessageBuf, PCARRIERADAPTER->DISPLAY_BUFFER_SIZE)) 
			return _prizeText[tournamentType - 1];

		 _prizeText[tournamentType - 1] = PCARRIERADAPTER->_pDisplayMessageBuf;
		return _prizeText[tournamentType - 1];
	};


ConvertedBitmapInfo* ForPrizesAdapter::getPrizeImage(int tournamentType) {

	//return &_prizeImage[tournamentType - 1];
	// image already parsed in TBMessage and onto AMTPTournament structure
	return PCARRIERADAPTER->_nextTournament[tournamentType-1].GetPrizeImg();
	
	/*
	//////debug("getPrizeImage(" + tournamentType + ")");
	if( _prizeImage[tournamentType - 1] == NULL ) {
		//////debug("getPrizeImage(" + tournamentType + ")--_prizeImage null");
	}
	else {
		//////debug("getPrizeImage(" + tournamentType + ")--returning pre-created image");
		return _prizeImage[tournamentType - 1];
	}
	if (_prizeImgBuffer[tournamentType - 1] == NULL) {
		//////debug("getPrizeImage(" + tournamentType + ")--returning null");
		return NULL;
	}
	//////debug("getPrizeImage(" + tournamentType + ")--_prizeImgBuffer[tournamentType - 1].length=" + _prizeImgBuffer[tournamentType - 1].length);
//	_prizeImage[tournamentType - 1] = Image.createImage(_prizeImgBuffer[tournamentType - 1], 0, _prizeImgBuffer[tournamentType - 1].length);
//	_prizeImgBuffer[tournamentType - 1] = null;	// buffer no longer needed
	//////debug("getPrizeImage(" + tournamentType + ")--returning created image");
	//////debug("getPrizeImage(" + tournamentType + ")--_prizeImage[tournamentType - 1].getHeight()=" + _prizeImage[tournamentType - 1].getHeight());
	//////debug("getPrizeImage(" + tournamentType + ")--_prizeImage[tournamentType - 1].getWidth()=" + _prizeImage[tournamentType - 1].getWidth());
	return _prizeImage[tournamentType - 1];
	*/
}

bool ForPrizesAdapter::isPhoneNeededForRegistration() {
	return PCARRIERADAPTER->isPhoneNeededForRegistration();
}

byte ForPrizesAdapter::getRegistrationState(){
	////debug("getRegistrationState()--returning " + carrierAdapter._registerState);
	return PCARRIERADAPTER->_registerState;
}
/*
long ForPrizesAdapter::getSubscriptionTimeLeft() {
	return _subscriptionLength - (GETTIMEMS() - _subscriptionStartTime);
}

byte ForPrizesAdapter::checkSubscription() {
	// the subscription has expired
	if (getSubscriptionTimeLeft() < 0) {
		return PARAM_SUBSCRIPTION_EXPIRED;
	}
	// a new subscription (confirming stuff with server...)
	else if (_isNewSubscription) {
		return PARAM_SUBSCRIPTION_NEED_CONFIRM;
	}
	// subscription is fine
	else {
		return PARAM_SUBSCRIPTION_OK;
	}
}
*/
//void ForPrizesAdapter::resubscribe(){
//	PCARRIERADAPTER->sendSubscriptionRequest(_subscriptionRequestURL);
//	_subscriptionStartTime = GETTIMEMS();
//	_isNewSubscription = true;
//}

int ForPrizesAdapter::getSubscriptionInfo(bool confirm){
	return 1; // no sub 
	//return PCARRIERADAPTER->getSubscriptionInfo(confirm);
}

void ForPrizesAdapter::gameStarted() {
	if (_currentTournamentType != PARAM_TOURNAMENT_TYPE_PRACTICE) {
		_lastGameStartTime = GETTIMEMS();
	}
}

int ForPrizesAdapter::getTournaments(){
	return PCARRIERADAPTER->getTournaments();
}

int ForPrizesAdapter::enterTournament(byte tournamentType) {
	setCurrentTournamentType(tournamentType);
	return PCARRIERADAPTER->enterTournament(tournamentType);
}

int ForPrizesAdapter::getScores(byte tournamentType, int scoreType) {
	// Clear the results
	_matchSummary = "";
	_rankSummary = "";
	_scoreSummary = "";
	_promptMsg = "";

	return PCARRIERADAPTER->getScores(tournamentType, scoreType);
}

int ForPrizesAdapter::registerPlayer() {
	//////debug("registerPlayer()");

	//tmobile
	return PCARRIERADAPTER->registerPlayer(_PIN, _phoneType,/* getSubscriptionTimeLeft()*/ 0, _isSMSOptIn);
	//return carrierAdapter.registerPlayer(_userName, _phoneType, getSubscriptionTimeLeft(), _isSMSOptIn);
}

int ForPrizesAdapter::reportGameScore(int score, byte gameResults[]) {
	/*
	_lastGameEndTime = GETTIMEMS();

	// the seed is no longer needed. no seed will invalidate this tournament (so it wont be played again)
	_data[_enteredTournamentIndex][_currentTournamentIndex[_enteredTournamentIndex]][0][0] = 0;

	//If this was a tournament game
	if (_currentTournamentType != PARAM_TOURNAMENT_TYPE_PRACTICE) {
		_lastGameResultsData = gameResults;
		_lastGameScore = score;
	}
	*/
	PCARRIERADAPTER->ReportGameScore(score, NULL, 0);
	
	return _errorNum;
}

int ForPrizesAdapter::sendGetPromoRequest(int tournamentType, int id){
	return PCARRIERADAPTER->sendGetPromoRequest(tournamentType, id);
}

int ForPrizesAdapter::setOptions() {
	return 1; // not needed
	//return PCARRIERADAPTER->setOptions(_isSMSOptIn);
}

bool ForPrizesAdapter::DisplayWinner() 
{
	return ((getWinnerText()).length() > 0 || getWinnerImage()->bitmap);
}

bool ForPrizesAdapter::DisplayNews(bool clearNews) 
{
	bool hasNews = _hasNews;
	if (_hasNews && clearNews) {
		_hasNews = false;
	}
	return hasNews;
}



//void ForPrizesAdapter::parseTournamentQuarks(int tournamentType, InputStream dis){
//	int ctIdx = getCurrentTournamentIndex(tournamentType);
//	int type = tournamentType - 1;
//	int prize_length;
//
//	_ID[type][ctIdx][PARAM_TOURNAMENT_ID_IDX] = dis.readInt();
//	_ID[type][ctIdx][PARAM_TOURNAMENT_SEQUENCE_IDX] = dis.readInt();
//
//	_text[type][ctIdx][PARAM_TOURNAMENT_NAME_IDX] = dis.readUTF();
//	_text[type][ctIdx][PARAM_TOURNAMENT_DESCRIPTION_IDX] = dis.readUTF();
//	_text[type][ctIdx][PARAM_TOURNAMENT_STATUS_IDX] = dis.readUTF();
//
//	_time[type][ctIdx][PARAM_TOURNAMENT_START_TIME_IDX] = dis.readLong();
//	_time[type][ctIdx][PARAM_TOURNAMENT_END_TIME_IDX] = dis.readLong();
//
//	int quarkType;
//
//	while ((quarkType = dis.readInt()) != PARAM_QUARK_EOT) {
//		//////debug("parseTournamentQuarks(" + tournamentType + ")--quarkType=" + quarkType);
//		switch (quarkType) {
//			case PARAM_QUARK_TOURNAMENT_PRIZE_TEXT:
//				_prizeText[type] = dis.readUTF();
//				break;
//
//			case PARAM_QUARK_TOURNAMENT_PRIZE_IMAGE:
//				prize_length = dis.readInt();
//				//////debug("parseTournamentQuarks(" + tournamentType + ")--quarkType=" + quarkType + "--prize_length" + prize_length);
////				_prizeImgBuffer[type] = new byte[prize_length];
//				dis.read(_prizeImgBuffer[type], 0, 3);
//				
//				/*imgSize = dis.readInt();
//		    	  _adapter._winnerImgBuffer = new byte[imgSize];
//		    	  dis.read(_adapter._winnerImgBuffer);*/
//				break;
//
//			case PARAM_QUARK_TOURNAMENT_SEED:
////				_data[type][ctIdx][0] = new byte[dis.readInt()];
//				dis.read(_data[type][ctIdx][0], 0, 3);
//				break;
//
//			case PARAM_QUARK_TOURNAMENT_PARAMS:
////				_data[type][ctIdx][1] = new byte[dis.readInt()];
//				dis.read(_data[type][ctIdx][1], 0, 3);
//				break;
//
//			default:
//				//////debug("parseTournamentQuarks()--Unknown quark: " + quarkType);
//				break;
//		}
//	}
//}

Bbyte ForPrizesAdapter::getRecord(String name) {
	Bbyte ret;
	////debug("getRecord(" + name + ")");
	if (name.length() > 32) {
		name = name.substring(0, 32);
	}

/*	RecordStore rs = null;
	
		rs = RecordStore.openRecordStore(name, false);
		// Maybe could use rs.getRecord(1) here
		//byte[] data = rs.getRecord(1);
		RecordEnumeration re = rs.enumerateRecords(null, null, false);
		
		////debug("# of records: " + re.numRecords() );
		
		if (re.hasNextElement()) {
			////debug("Filling data with next record");
			byte[] data = re.nextRecord();
			rs.closeRecordStore();
			return data;
		}
		rs.closeRecordStore();
*/
	return ret;
}

void ForPrizesAdapter::putRecord(String rsName, byte data[]) {
	////debug("putRecord(" + rsName + ")");
	
	if (rsName.length() > 32) {
		rsName = rsName.substring(0, 32);
	}

/*	RecordStore rs = null;
*/
	/*// completely delete existing RS on some devices (Samsung Z105)
							if (PARAM_FW_DELETE_RECORDSTORE_BEFORE_SAVE == 1) {
								try {
									RecordStore.deleteRecordStore(rsName);
								} catch (Exception e) {
									// ignore
								}
							}*/

/*	try {
		rs = RecordStore.openRecordStore(rsName, true);
		int oldRSID = -1;
		if (rs.getNumRecords() > 0) {
			RecordEnumeration re = rs.enumerateRecords(null, null, false);
			oldRSID = re.nextRecordId();
			re.destroy();
		}
		// add the new data
		rs.addRecord(data, 0, data.length);

		// and delete the old one if this succeeded
		if (oldRSID != -1) {
			rs.deleteRecord(oldRSID);
		}
		rs.closeRecordStore();

		//saveFailed = false;
	}
	catch (Exception e) {
		////debug("ERR: putRecord(" + rsName + "): " + e);
		try {
			if (rs != null) {
				rs.closeRecordStore();
			}
		}
		catch (RecordStoreException re) {
			////debug("RecordStoreException: " + re.toString());
		}
	}
*/
}