#ifndef _TB_EVENTS_H_
#define _TB_EVENTS_H_

#include "AEEAppGen.h"
#include "..\Core\TBModuleEvents.h"

class TBEvents:
	public TBModuleEvents
{
	/**
	 * Initializes the FPEvent handler for a particular module.  
	 * 
	 * The various TB Multiplayer Modules will need to implement thier own
	 * versions of TBBaseEventInit() based on their local requirements
	 * 
	 * @param initHandler
	 */
	AEEApplet* myMain;
public:
	TBEvents(AEEApplet* _main);
	~TBEvents();

	static void* myAdapter;
	static void* fpTest;

public:
	static void fpInit(AEEApplet* _main,byte localizationCode);

	static void Release();

	static void GetResponse();

};

#endif
