#include "aSound.h"
#include "aMain.h"





aSound::aSound(void)
{
}

aSound::~aSound(void)
{
}


void aSound::initSound(int maxSounds)
{
	for (int s=0;s < maxSounds;s++){
		sounds.append(String(""));

		IMedia* _pIMedia = NULL;
		m_pIMedia.append(_pIMedia);

	}



}

int aSound::addSound(String soundLocation)
{
	int s;
	//search free slot
	for (s=0;s < maxSounds;s++)
		if (sounds[s].length() == 0)
			break;

	if (s == maxSounds)
	{



		return -1;
	}

	sounds[s]= soundLocation;
	return s;
}

void aSound::delSound(int soundID)
{
	if (sounds[soundID].length() == 0)
		return;

	sounds[soundID]= String("");

	if(m_pIMedia[soundID] != NULL){
		IMEDIA_Stop(m_pIMedia[soundID]);
		IMEDIA_Release(m_pIMedia[soundID]);
		m_pIMedia[soundID] = NULL;
	}

	
}

void aSound::playSound(int p_soundID,int loopCount)
{
	if(p_soundID < 0)
		return;

	int retval;
	if(sounds[p_soundID].length() == 0)
		return;
	else
	{
		isStopped = false;


		//if(p_soundID != soundID)
		{
			if(m_pIMedia[p_soundID] != NULL)
			{
				IMEDIA_Stop(m_pIMedia[p_soundID]);
				IMEDIA_Release(m_pIMedia[p_soundID]);
				m_pIMedia[p_soundID] = NULL;
			}
			if(sounds[p_soundID].length()-4 > 0)
			{

				//if(sounds[p_soundID].substring(sounds[p_soundID].length()-4).equals(".mid"))
				//{
					if(ISHELL_CreateInstance(myMain->m_pIShell, AEECLSID_MEDIAMIDI, (void**)&m_pIMedia[p_soundID]) != SUCCESS)
					{
						DBGPRINTF("CI Media failed!");
						return;
					}
				//}
				//else if(sounds[p_soundID].substring(sounds[p_soundID].length()-4).equals(".mp3"))
				//{
				//	if(ISHELL_CreateInstance(myMain->m_pIShell, AEECLSID_MEDIAMP3, (void**)&m_pIMedia) != SUCCESS)
				//	{
				//		DBGPRINTF("CI Media failed!");
				//		return;
				//	}
				//}

			}
			else
				return;
			AEEMediaData _Info;
			if(((aMain*)myMain)->myUtils->checkInResourceFile(sounds[p_soundID]))
			{
				IMemAStream* pMStream=NULL;
				char* _ResBuf = NULL;
				_ResBuf = ((aMain*)myMain)->myUtils->fetchResource(sounds[p_soundID], _ResBuf);
				ISHELL_CreateInstance(((aMain*)myMain)->m_pIShell, AEECLSID_MEMASTREAM, (void**)&pMStream);
				IMEMASTREAM_Set(pMStream, (byte*)_ResBuf, ((aMain*)myMain)->myUtils->lastResourceLen, 0, FALSE);
				_Info.clsData = MMD_BUFFER;
				_Info.pData = (void*)_ResBuf;
				_Info.dwSize = sizeof(char) * ((aMain*)myMain)->myUtils->lastResourceLen;
				retval = IMEDIA_SetMediaData(m_pIMedia[p_soundID], &_Info);
				//retval = IMEDIAUTIL_CreateMedia(pIMediaUtil, &_Info, &m_pIMedia);
				IMEMASTREAM_Release(pMStream);
				_FREE(_ResBuf);
				_ResBuf = NULL;
			}
			else
			{
				_Info.clsData = MMD_FILE_NAME;
				//_Info.pData = (void*)"ti.mid";//(void*)sounds[p_soundID].toCharArray();
				_Info.pData = (void*)sounds[p_soundID].toCharArray();
				_Info.dwSize = 0;
				retval = IMEDIA_SetMediaData(m_pIMedia[p_soundID], &_Info);
				//retval = IMEDIAUTIL_CreateMedia(pIMediaUtil, &_Info, &m_pIMedia);
			}
		}
		//else
		//{
		//	retval = SUCCESS;
		//}
		m_iLoop = loopCount;
		if(retval == SUCCESS)
		{
			soundID = p_soundID;
			if(IMEDIA_RegisterNotify(m_pIMedia[p_soundID], (PFNMEDIANOTIFY)mediaCBF, this) != SUCCESS)
			{
				DBGPRINTF("RN Media failed!");
				return;
			}
			IMEDIA_Play(m_pIMedia[p_soundID]);
		}
		else
		{
			DBGPRINTF("Media play error");
		}		















































































	}
}

void aSound::stopSound()
{
	

	for ( int i = 0; i < m_pIMedia.size(); i++ ) {
		if(m_pIMedia[i] != NULL)
		{
			IMEDIA_Stop(m_pIMedia[i]);
			IMEDIA_Release(m_pIMedia[i]);
			m_pIMedia[i] = NULL;
		}
	}







}


void aSound::stopSound(int soundID)
{
	if(m_pIMedia[soundID] != NULL)
	{
		IMEDIA_Stop(m_pIMedia[soundID]);
		IMEDIA_Release(m_pIMedia[soundID]);
		m_pIMedia[soundID] = NULL;
	}
}


/***
 *** public methods
 ***/
int aSound::create(AEEApplet* main, int maxSounds)
{
	myMain = main;
	isRestarting = false;
	soundID = -1;
	

	for(int i = 0; i < m_pIMedia.size();i++) {
		if( m_pIMedia[i] != NULL ) {
			IMEDIA_Stop(m_pIMedia[i]);
			IMEDIA_Release(m_pIMedia[i]);
			m_pIMedia[i] = NULL;
		}
	}
	m_pIMedia.removeAll();

	if (maxSounds <= 0)
		return -1;
	else
	{
		//call our init
		initSound(maxSounds);
		//store max number of sounds to handle
		this->maxSounds=maxSounds;
		//ISOUNDPLAYER_RegisterNotify(m_pSoundPlayer, (PFNSOUNDPLAYERSTATUS)soundCBF, this);
		return maxSounds;
	}
	


































	return -1;
}

void aSound::freeRes()
{
	

	for(int i = 0; i < m_pIMedia.size(); i++) {
		if( m_pIMedia[i] != NULL ) {
			IMEDIA_Stop(m_pIMedia[i]);
			IMEDIA_Release(m_pIMedia[i]);
			m_pIMedia[i] = NULL;
		}
	}
	m_pIMedia.removeAll();
	m_pIMedia.destruct();













	sounds.remove(0, sounds.size());
	sounds.destruct();
}

int aSound::add(String soundLocation)
{
















	return addSound(soundLocation);
}

void aSound::play(int p_soundID,int loopCount)
{
	if (isMuted != 1)
	{
		playSound(p_soundID,loopCount);
		this->soundID = p_soundID;
		mute(false);
	}
}

void aSound::stop(int soundID)
{










	stopSound(soundID);



	m_iLoop=0;
}

void aSound::del(int soundID)
{







	if (soundID < 0)
	{



		for (int s=0;s < maxSounds;s++)
			delSound(s);
	}
	else
	{









		delSound(soundID);
	}
}

void aSound::setVolume(int v)
{
	

	for( int i = 0; i < m_pIMedia.size(); i++ ) {
		if(m_pIMedia[i] != NULL)
			IMEDIA_SetVolume(m_pIMedia[i], v);
	}





}

void aSound::mute(boolean state)
{
	if (state == 1)
	{


		for(int i = 0; i < m_pIMedia.size(); i++ ) {
			if(m_pIMedia[i] != NULL)
				IMEDIA_SetVolume(m_pIMedia[i], 0);
		}





	}
	if (state == 0)
	{


		for(int i = 0; i < m_pIMedia.size(); i++ ) {
			if(m_pIMedia[i] != NULL)
				IMEDIA_SetVolume(m_pIMedia[i], AEE_MAX_VOLUME);
		}





	}
	isMuted=state;
}

void aSound::loop(void* pUser)
{
	if(((aSound*)pUser)->m_iLoop == 1)
	{
		int _iBuf = ((aSound*)pUser)->soundID;
	    ((aSound*)pUser)->soundID = -1;
		((aSound*)pUser)->play(_iBuf, ((aSound*)pUser)->m_iLoop);
	}
	else
	{
		//((aSound*)pUser)->stopSound();
		((aSound*)pUser)->soundID = -1;
	}
	((aSound*)pUser)->isRestarting = false;
}

void aSound::replay(void* pUser)
{
	((aSound*)pUser)->stopSound();
	((aSound*)pUser)->play(((aSound*)pUser)->soundID, ((aSound*)pUser)->m_iLoop);
	((aSound*)pUser)->isReplaying = false;
}



































































































































void aSound::mediaCBF(void* pUser, AEEMediaCmdNotify* pCmdNotify)
{
	int a;
	String _szBuf;
	switch(pCmdNotify->nCmd)
	{
	case MM_CMD_SETMEDIAPARM: 
		switch(pCmdNotify->nStatus)
		{
		case MM_STATUS_DONE: a=11;break;
		case MM_STATUS_ABORT: a=12;break;
		}
		break;
	case MM_CMD_PLAY: 
		switch(pCmdNotify->nStatus)
		{
		case MM_STATUS_START: DBGPRINTF("MCP start");a=21;break;
		case MM_STATUS_SEEK : DBGPRINTF("MCP seek");a=22;break;
		case MM_STATUS_SEEK_FAIL : DBGPRINTF("MCP seek fail");a=23;break;
		case MM_STATUS_PAUSE : DBGPRINTF("MCP pause");a=24;break;
		case MM_STATUS_RESUME : DBGPRINTF("MCP resume");a=25;break;
		case MM_STATUS_PAUSE_FAIL : DBGPRINTF("MCP pause fail");a=26;break;
		case MM_STATUS_RESUME_FAIL : DBGPRINTF("MCP resume fail");a=27;break;
		case MM_STATUS_MEDIA_SPEC : DBGPRINTF("MCP media_spec");a=28;break;
		case MM_STATUS_TICK_UPDATE : a=29;break;
		case MM_STATUS_DATA_IO_DELAY : DBGPRINTF("MCP data_access_delay");a=211;break;
		case MM_STATUS_ABORT : DBGPRINTF("MCP aborted");a=212;
			if(!((aSound*)pUser)->isRestarting)
			{
				ISHELL_SetTimer( ((aMain*)((aSound*)pUser)->myMain)->m_pIShell, 10, ( PFNNOTIFY )loop, pUser );
				((aSound*)pUser)->isRestarting = true;
			}
			break;
		case MM_STATUS_DONE : 
			if(!((aSound*)pUser)->isRestarting)
			{
				ISHELL_SetTimer( ((aMain*)((aSound*)pUser)->myMain)->m_pIShell, 10, ( PFNNOTIFY )loop, pUser );
				((aSound*)pUser)->isRestarting = true;
			}
			DBGPRINTF("MCP done");
			break;
		case MM_STATUS_REPEAT : DBGPRINTF("MCP repeat");a=214;break;
		case MM_STATUS_FRAME : DBGPRINTF("MCP frame");a=215;break;
		}
		;break;
	case MM_CMD_GETMEDIAPARM: 
		switch(pCmdNotify->nStatus)
		{
		case MM_STATUS_DONE: a=31;break;
		case MM_STATUS_ABORT: a=32;break;
		}
		break;
	}
}

