#ifndef _DEVICES_H
#define _DEVICES_H

//define here the device groups
//#define AUDIOVOX_8600
//#define AUDIOVOX_9900
//#define KYOCERA_444
//#define KYOCERA_KX1
//#define KYOCERA_KX2
//#define KYOCERA_SE47
//#define LG_9800
//#define LG_VX4400
//#define CDM_9500
//#define LG_VX4700
//#define LG_VX6000
//#define MOTOROLA_C343
//#define MOTOROLA_E310
//#define MOTOROLA_V265H
//#define MOTOROLA_V710
//#define MOTOROLA_V720
//#define NOKIA_3589I
//#define NOKIA_6155I
//#define NOKIA_6225
//#define NOKIA_6236I
//#define NOKIA_6255
//#define NOKIA_6265
//#define SAMSUNG_A610
//#define TOSHIBA_A5304T
#define VERSION
#define CS_LEVEL 1.3
#define FRAME_TIME
#define VERSION 1.0.8

//#define doja

#ifndef _BOOLEAN_
#define _BOOLEAN_ byte
#define _TRUE_ 1
#define _FALSE_ 0
#endif

#define SCORE_ONE_PER_MODE
#define MAIN_PERCENTAGE 70
#define sound

#define ATEXTBOX_INNER_SCROLLBAR

#define AUTILS_USE_GRAPHICAL_FONT

#define FONT_SIZE_LARGE 16
#define FONT_SIZE_MEDIUM 0
#define FONT_SIZE_SMALL 8
#define FONT_STYLE_BOLD 1
#define FONT_STYLE_ITALIC 2
#define FONT_STYLE_PLAIN 0
#define FONT_STYLE_UNDERLINED 4
#define FONT_X_OFFSET 0
#define FONT_Y_OFFSET 0
//our new draw String/Image methods support the following modes, which can be mixed by oring them
#define HCENTER	1		// print horizontally centered on the screen (ignoring given x coordinate)
#define	VCENTER	2		// print vertically centered on the screen (ignoring given y coordinate)
#define	HCENTER_X 5		// print horizontally centered on the given x coordinate
#define	VCENTER_Y 6		// print vertically centered on the given y coordinate
#define	SHADOW 128	// print with a shadow
#ifndef _BOOLEAN_
#define _BOOLEAN_ byte
#define _TRUE_ 1
#define _FALSE_ 0
#endif
#define AKEY_FLAG_ASTERISK  2<<15

#define  BUTTON_TEXT_X_OFFSET 0
#define  BUTTON_TEXT_Y_OFFSET 0

#define PUTILS ((aMain*)myMain)->myUtils
#define PTEXT ((aMain*)myMain)->myText
#define PTEXTBOX ((aMain*)myMain)->myTextBox
#define PKEY ((aMain*)myMain)->myKey

//#define GAME_USES_IMEDIA

#ifdef CDM_180
 #define GAME_USES_IMEDIA
 #define SLOW_DEVEISES
 #define DEVICE_NAME cdm180
 #include cubis2.120x112.h
 #define NO_PARTIAL_PAINT
 #define LONG_TEXT_FILE
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define NO_MENU_IMAGE
 #define NO_SNAIL_ANIM
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS

#endif
#ifdef KYOCERA_KX1
// #define SIMPLIFIED_HELP
 #define GAME_USES_IMEDIA
 //#define 120_DEVEISES
 #define SLOW_DEVEISES
 #define DEVICE_NAME KX1
 #include cubis2.120x112.h
 #define NO_PARTIAL_PAINT
 #define LONG_TEXT_FILE
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define NO_MENU_IMAGE
 #define NO_SNAIL_ANIM
 //#define GAME_NO_BRAND_SCREEN
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS
 
#endif

#ifdef MOTOROLA_T720C 
//#define GAME_NO_OPTIONS
#define DEVICE_NAME t720c 
#include cubis2.120x112.h
#define USE_COMMANDS
//#define 120_DEVEISES
#define LOW_MEM_CUBES
#define LOW_MEM_CUBIS
#define SLOW_DEVEISES
#define NO_PARTIAL_PAINT
#define LONG_TEXT_FILE
#define NO_MENU_IMAGE
#define NO_SNAIL_ANIM
//#define GAME_NO_BRAND_SCREEN
#define BREWVERSION 0x1
#define USE_RESOURCE_FILE_BMPS
#endif

#ifdef NOKIA_6255I
#define  DEVICE_NAME 6255i
#include cubis2.120x112.h
#define NO_PARTIAL_PAINT
//#define 120_DEVEISES
#define SLOW_DEVEISES
#define BREWVERSION 0x1
//#define GAME_NO_BRAND_SCREEN
#define  USE_RESOURCE_FILE_BMPS

#endif

#ifdef NOKIA_6265
 #define GAME_USES_IMEDIA
 #define BREWVERSION 0x2
 #include cubis2.240x240.h
 #define DEVICE_NAME 6265 
 #define NO_PARTIAL_PAINT
 #define SLOW_DEVEISES
 //#define GAME_USES_IMEDIA
#endif

#ifdef CDM_8900
//#define IN_KEY
#define FRAME_TIME
#define GAME_USES_IMEDIA
#define DEVICE_NAME cdm8900 
 #include cubis2.120x112.h
 //#define 120_DEVEISES
 #define SLOW_DEVEISES
 #define NO_PARTIAL_PAINT
 #define LONG_TEXT_FILE
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define NO_MENU_IMAGE
 #define NO_SNAIL_ANIM
 //#define GAME_NO_BRAND_SCREEN
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS
#endif

#ifdef AUDIOVOX_8600
 #define DEVICE_NAME 8600
 #define BREWVERSION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef LG_VX6000
//#define IN_KEY
//#define GAME_NO_OPTIONS
#define FRAME_TIME
#define GAME_USES_IMEDIA
 #define DEVICE_NAME vx6000
 //#define 120_DEVEISES
 #define SLOW_DEVEISES
 #include cubis2.120x112.h
 #define LONG_TEXT_FILE
 #define NO_PARTIAL_PAINT
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define NO_MENU_IMAGE
 #define NO_SNAIL_ANIM
 //#define GAME_NO_BRAND_SCREEN
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS
#endif

#ifdef SAMSUNG_A610
 #define DEVICE_NAME A610
 #define BREWVERSION 0x1
#endif

#ifdef LG_VX8100
#define GAME_USES_IMEDIA
#include cubis2.176x177.h
 //#define LOW_MEM_CUBES
 //#define LONG_TEXT_FILE
 #define FRAME_TIME
 #define NO_PARTIAL_PAINT
 #define BREWVERSION 0x2
 #define DEVICE_NAME vx8100
 //#define IN_GAME_MUSIC 
#endif

#ifdef SAMSUNG_A970
 #define DEVICE_NAME V710
 #define BREWVERSION 0x1
#endif

#ifdef NOKIA_3589I
 #define BREWVERSION 0x1
#endif

#ifdef MOTOROLA_C343
 #define BREWVERSION 0x1
 #define USE_RESOURCE_FILE_BMPS
#endifkx2

#ifdef LG_VX4400
 //#define GAME_NO_OPTIONS
 #define DEVICE_NAME VX4400
 #define BREWVERSION 0x1
 #include cubis2.120x112.h
// #define 120_DEVEISES
 #define SLOW_DEVEISES
 #define LONG_TEXT_FILE
 //#define GAME_NO_BRAND_SCREEN
 #define 120x112
 #define 128x114
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define NO_PARTIAL_PAINT
 #define USE_RESOURCE_FILE_BMPS
#endif

#ifdef CDM_9500
 #define DEVICE_NAME 9500
#define BREWVERSION 0x1
#define USE_RESOURCE_FILE_BMPS
#endif

#ifdef LG_VX9800
 #define GAME_USES_IMEDIA
 #define DEVICE_NAME vx9800 
 #include cubis2.240x240.h
 #define SLOW_DEVEISES
 #define NO_PARTIAL_PAINT
 #define BREWVERSION 0x2
 //#define NO_SNAIL_ANIM
#endif


#ifdef KYOCERA_KX2
 #define GAME_USES_IMEDIA
 #define DEVICE_NAME KX2
// #define NO_SNAIL_ANIM
 #include cubis2.120x112.h
 //#define 120_DEVEISES
 #define SLOW_DEVEISES
 #define BREWVERSION 0x2
 //#define GAME_NO_BRAND_SCREEN
 //#define LOW_MEM_CUBES
 #define NO_PARTIAL_PAINT
 #define USE_RESOURCE_FILE_BMPS
 #endif

#ifdef SAMSUNG_A850
#define GAME_USES_IMEDIA
 #define DEVICE_NAME A850
 #include cubis2.120x112.h
 #define SLOW_DEVEISES
 #define BREWVERSION 0x2
 #define NO_PARTIAL_PAINT
 #define USE_RESOURCE_FILE_BMPS
#endif

#ifdef NOKIA_6225
 #define BREWVERSION 0x1
#endif

#ifdef NOKIA_6255
 #define BREWVERSION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef KYOCERA_SE47
 #define BREWVERSION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef KYOCERA_KX444
#define GAME_USES_IMEDIA
 #define DEVICE_NAME KX444
 #include cubis2.96x65.h
 //#define 120_DEVEISES
 #define NO_PARTIAL_PAINT
 #define SLOW_DEVEISES
 #define NO_SNAIL_ANIM
 #define NO_MENU_IMAGE
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define LONG_TEXT_FILE
 //#define GAME_NO_BRAND_SCREEN
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS
#endif

#ifdef MOTOROLA_V720
 #define BREWVERSION 0x1
#endif

#ifdef MOTOROLA_V710
 //#define GAME_NO_OPTIONS 
 #define GAME_USES_IMEDIA
 #include cubis2.176x177.h
 #define LONG_TEXT_FILE
 #define SLOW_DEVEISES
 #define NO_PARTIAL_PAINT
 #define BREWVERSION 0x2
 #define DEVICE_NAME V710
 //#define GAME_NO_OPTIONS
#endif

#ifdef AUDIOVOX_9900
 #define BREWVERSION 0x1
#endif

#ifdef NOKIA_6265
 #define BREWVERION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef NOKIA_6155I
 #define BREWVERSION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef MOTOROLA_E310
 #define BREWVERSION 0x2
#endif

#ifdef TOSHIBA_A5304T
 #define BREWVERSION 0x2
 #define GAME_USE_ARM_ANIMS
 #define GAME_USE_CARD_ANIMS
#endif

#ifdef LG_VX4700
 #define GAME_USES_IMEDIA
 #include cubis2.120x112.h
 #define DEVICE_NAME VX4700
// #define 120_DEVEISES
 #define SLOW_DEVEISES
 #define LONG_TEXT_FILE
 //#define GAME_NO_BRAND_SCREEN
 #define 128x114
 #define LOW_MEM_CUBES
 #define LOW_MEM_CUBIS
 #define BREWVERSION 0x2
 #define USE_RESOURCE_FILE_BMPS
 #define NO_PARTIAL_PAINT
 
#endif

#ifdef NOKIA_6236I
#define GAME_USES_IMEDIA
#include cubis2.120x112.h
#define DEVICE_NAME 6236I
//#define 120_DEVEISES
#define SLOW_DEVEISES
//#define GAME_NO_BRAND_SCREEN
#define 128x114
//#define LOW_MEM_CUBES
//#define NO_SNAIL_ANIM
#define NO_PARTIAL_PAINT
#define BREWVERSION 0x2
 
#endif

#ifdef MOTOROLA_V265H
 #define GAME_USES_IMEDIA
 //#define GAME_NO_OPTIONS
 #define DEVICE_NAME V265
 #include cubis2.120x112.h
 #define LONG_TEXT_FILE
 // #define 120_DEVEISES
  #define SLOW_DEVEISES
 // #define GAME_NO_BRAND_SCREEN
  #define 128x114
// #define LOW_MEM_CUBES
 #define NO_PARTIAL_PAINT
 #define BREWVERSION 0x2

#endif

#ifdef 1.0.0
#define MIDLET_VERSION 1.0.0
#endif

#ifdef 1.0.1
#define MIDLET_VERSION 1.0.1
#endif

#ifdef 1.0.2
#define MIDLET_VERSION 1.0.2
#endif

#ifdef 1.0.3
#define MIDLET_VERSION 1.0.3
#endif

#ifdef 1.0.4
#define MIDLET_VERSION 1.0.4
#endif

#ifdef 1.0.5
#define MIDLET_VERSION 1.0.5
#endif

#ifdef 1.0.6
#define MIDLET_VERSION 1.0.6
#endif

#ifdef 1.0.7
#define MIDLET_VERSION 1.0.7
#endif

#ifdef 1.0.8
#define MIDLET_VERSION 1.0.8
#endif

#ifdef 1.0.9
#define MIDLET_VERSION 1.0.9
#endif

#ifdef 1.1.0
#define MIDLET_VERSION 1.1.0
#endif

#ifdef 1.1.1
#define MIDLET_VERSION 1.1.1
#endif

#define GAME_RESOURCE_FILE

#endif //_DEVICES_H